#!/bin/bash

THIS_DIR=$(cd $(dirname $0); pwd)

semodule -i $THIS_DIR/yumpostscripts.pp

cat /etc/yum.repos.d/spectre.repo | awk -F / ' { OFS = "/"; if ($NF == "latest") $NF = "latest-greatest"; if ($(NF-1) == "latest") $(NF-1) = "latest-greatest"; print $0 } ' > /tmp/spectre.repo
rm -f /etc/yum.repos.d/spectre.repo
mv /tmp/spectre.repo /etc/yum.repos.d/spectre.repo
chown tomcat:tomcat /etc/yum.repos.d/spectre.repo

retries=12
while [ ! -f /nfsstage/proxyfile.txt ]; do
    sleep 10
    retries=$((retries-1))
    if [ $retries -eq 0 ]; then
	break
    fi
done

/usr/sbin/rpmupdate.sh $(cat /nfsstage/proxyfile.txt)


